%define debug_package %{nil}

Name:           ocaml-pxp
Version:        1.2.7
Release:        %mkrel 2
Summary:        An XML parser for OCaml
License:        MIT
Group:          Development/OCaml
URL:            http://projects.camlcity.org/projects/pxp.html
Source0:        http://download.camlcity.org/download/pxp-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-ulex-devel
Requires:       ocaml-ulex

%description
PXP is an XML parser for OCaml. It represents the parsed document either as
tree or as stream of events. In tree mode, it is possible to validate the
XML document against a DTD. 

The acronym PXP means Polymorphic XML Parser. This name reflects the ability
to create XML trees with polymorphic type parameters. 

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ulex-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n pxp-%{version}

%build
./configure

make all opt
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/pxp
make install

%files
%doc LICENSE README
%dir %{_libdir}/ocaml/pxp/
%{_libdir}/ocaml/pxp/META
%dir %{_libdir}/ocaml/pxp-engine/
%{_libdir}/ocaml/pxp-engine/META
%{_libdir}/ocaml/pxp-engine/*.cmi
%{_libdir}/ocaml/pxp-engine/*.cma
%{_libdir}/ocaml/pxp-engine/*.cmo
%dir %{_libdir}/ocaml/pxp-pp/
%{_libdir}/ocaml/pxp-pp/META
%{_libdir}/ocaml/pxp-pp/pxp_pp.cma
%dir %{_libdir}/ocaml/pxp-lex-iso88591/
%dir %{_libdir}/ocaml/pxp-lex-iso885910/
%dir %{_libdir}/ocaml/pxp-lex-iso885913/
%dir %{_libdir}/ocaml/pxp-lex-iso885914/
%dir %{_libdir}/ocaml/pxp-lex-iso885915/
%dir %{_libdir}/ocaml/pxp-lex-iso885916/
%dir %{_libdir}/ocaml/pxp-lex-iso88592/
%dir %{_libdir}/ocaml/pxp-lex-iso88593/
%dir %{_libdir}/ocaml/pxp-lex-iso88594/
%dir %{_libdir}/ocaml/pxp-lex-iso88595/
%dir %{_libdir}/ocaml/pxp-lex-iso88596/
%dir %{_libdir}/ocaml/pxp-lex-iso88597/
%dir %{_libdir}/ocaml/pxp-lex-iso88598/
%dir %{_libdir}/ocaml/pxp-lex-iso88599/
%dir %{_libdir}/ocaml/pxp-lex-utf8/
%{_libdir}/ocaml/pxp-lex-*/META
%{_libdir}/ocaml/pxp-lex-*/*.cmi
%{_libdir}/ocaml/pxp-lex-*/*.cmo
%{_libdir}/ocaml/pxp-lex-*/*.cma
%{_libdir}/ocaml/pxp-lex-*/*.o
%dir %{_libdir}/ocaml/pxp-ulex-utf8/
%{_libdir}/ocaml/pxp-ulex-utf8/META
%{_libdir}/ocaml/pxp-ulex-utf8/*.cmi
%{_libdir}/ocaml/pxp-ulex-utf8/*.cmo
%{_libdir}/ocaml/pxp-ulex-utf8/*.cma
%{_libdir}/ocaml/pxp-ulex-utf8/*.o

%files devel
%doc doc/
%doc examples/
%doc rtests/
%doc tools/
%{_libdir}/ocaml/pxp-*/*.a
%{_libdir}/ocaml/pxp-*/*.cmxa
%{_libdir}/ocaml/pxp-*/*.cmx
%{_libdir}/ocaml/pxp-*/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.2.7-2.mga6
+ Revision: 1056436
- Rebuild for fix in ocaml

* Thu Feb 18 2016 daviddavid <daviddavid> 1.2.7-1.mga6
+ Revision: 966420
- new version: 1.2.7

* Tue Feb 16 2016 umeabot <umeabot> 1.2.4-6.mga6
+ Revision: 961885
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.2.4-5.mga6
+ Revision: 893231
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-4.mga5
+ Revision: 749295
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-3.mga5
+ Revision: 683091
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.2.4-2.mga4
+ Revision: 541430
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 malo <malo> 1.2.4-1.mga4
+ Revision: 495886
- new version 1.2.4

* Mon Jan 28 2013 malo <malo> 1.2.3-5.mga3
+ Revision: 392882
- add missing requires to ocaml-ulex

* Sun Jan 13 2013 umeabot <umeabot> 1.2.3-4.mga3
+ Revision: 361580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 1.2.3-3.mga3
+ Revision: 324261
- rebuild for new ocaml

* Fri Oct 19 2012 malo <malo> 1.2.3-2.mga3
+ Revision: 308258
- missing BuildRequires ocaml-compiler-libs
- rebuild for ocaml-4.0.1

* Sun Sep 30 2012 blue_prawn <blue_prawn> 1.2.3-1.mga3
+ Revision: 300976
- enable ulex
- build requires netstring (from ocamlnet)
- build requires camlp4
- imported package ocaml-pxp

